Skip to main content
POST
/
prompts
Create a prompt under a topic
curl --request POST \
  --url https://openlens.com/api/prompts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "topicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "promptTemplate": "<string>",
  "language": "<string>",
  "attributes": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "topicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "promptTemplate": "<string>",
  "isActive": true,
  "attributes": [
    "<string>"
  ],
  "topicName": "<string>",
  "intentType": "<string>",
  "language": "<string>",
  "isManual": true,
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.openlens.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Clerk API key. Create one from your account settings under API Keys.

Body

application/json
topicId
string<uuid>
required
promptTemplate
string
required
language
string | null
attributes
string[]

Response

Prompt created

id
string<uuid>
required
topicId
string<uuid>
required
promptTemplate
string
required
isActive
boolean
required
attributes
string[]
required
topicName
string
intentType
string | null
language
string | null
isManual
boolean
createdAt
string<date-time>